using System;
using System.Net.NetworkInformation;

internal sealed class Delegate318 : MulticastDelegate
{
	public extern UnicastIPAddressInformationCollection Invoke(object object_0);

	public static UnicastIPAddressInformationCollection smethod_0(object object_0, Delegate318 delegate318_1)
	{
		return delegate318_1(object_0);
	}

	public extern Delegate318(object object_0, IntPtr intptr_0);

	static Delegate318()
	{
		Class10.smethod_13(typeof(Delegate318).TypeHandle);
	}

	internal static Delegate318 delegate318_0;
}
